commit:     005ff389649971fffff21b15868597a7a8a447a8
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  3 09:34:54 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jan  3 09:35:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=005ff389

dev-libs/protobuf-c: Bump to version 1.3.1

Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/protobuf-c/Manifest                |  1 +
 dev-libs/protobuf-c/protobuf-c-1.3.1.ebuild | 41 +++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-libs/protobuf-c/Manifest b/dev-libs/protobuf-c/Manifest
index 07df6d6f4ad..0b09fa95477 100644
--- a/dev-libs/protobuf-c/Manifest
+++ b/dev-libs/protobuf-c/Manifest
@@ -1 +1,2 @@
 DIST protobuf-c-1.3.0.tar.gz 488443 BLAKE2B 
8eca559ad06aaa5cb09984b3d2e7c5767cd341c2e439b94c2d219226c612992808da091d01f5e0ad5f14e47292d4a621037953b58a5bea827e7c22837234ffe6
 SHA512 
ba49bf45a9ae93d41f200f4f18c4f9469c63fcc2a2392b3b45f083c378a6876891890448ceba216083ad351aa35f4669cd920973f53e5780de9ec4c8f61279bb
+DIST protobuf-c-1.3.1.tar.gz 498779 BLAKE2B 
f9ecb2cccd8e01a2ab5bd797883f245db418a76ac73ba3e756e997e944637732d45b3fca2a45d3caf4cd89f35259180fa05e64b8b02b63537005420f2233ba37
 SHA512 
b32920130b4be5e8a8373c2ca37ffe7eb263accf163d93e25a9eb4b6336ec40b05dda2458fe8f0c3cbcf6e0e08e9541fdff004d696f30a5d135b7a3bdca8b2c3

diff --git a/dev-libs/protobuf-c/protobuf-c-1.3.1.ebuild 
b/dev-libs/protobuf-c/protobuf-c-1.3.1.ebuild
new file mode 100644
index 00000000000..bc235c7da92
--- /dev/null
+++ b/dev-libs/protobuf-c/protobuf-c-1.3.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+MY_PV="${PV/_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Protocol Buffers implementation in C"
+HOMEPAGE="https://github.com/protobuf-c/protobuf-c";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}.tar.gz";
+
+LICENSE="BSD-2"
+# Subslot == SONAME version
+SLOT="0/1.0.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="static-libs test"
+
+RDEPEND=">=dev-libs/protobuf-2.6.0:0=[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+       if ! use test; then
+               eapply "${FILESDIR}"/${PN}-1.3.0-no-build-tests.patch
+       fi
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               $(use_enable static-libs static)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}

Reply via email to